# JUnitPlatformOptions

abstract class JUnitPlatformOptions : TestFrameworkOptions

The JUnit platform specific test options.

#### Since

4.6

#### See also

<a href="https://junit.org/junit5/docs/current/user-guide">JUnit 5 User Guide</a>

## Constructors

JUnitPlatformOptions
Link copied to clipboard
constructor()

## Properties

excludeEngines
Link copied to clipboard
@get:Input
open var excludeEngines: Set<String>
excludeTags
Link copied to clipboard
@get:Input
open var excludeTags: Set<String>
includeEngines
Link copied to clipboard
@get:Input
open var includeEngines: Set<String>
includeTags
Link copied to clipboard
@get:Input
open var includeTags: Set<String>

## Functions

copyFrom
Link copied to clipboard
open fun copyFrom(other: JUnitPlatformOptions)
Copies the options from the source options into the current one.
excludeEngines
Link copied to clipboard
open fun excludeEngines(excludeEngines: Array<String>): JUnitPlatformOptions
The set of engines to exclude.
excludeTags
Link copied to clipboard
open fun excludeTags(excludeTags: Array<String>): JUnitPlatformOptions
The set of tags to exclude.
includeEngines
Link copied to clipboard
open fun includeEngines(includeEngines: Array<String>): JUnitPlatformOptions
The set of engines to run with.
includeTags
Link copied to clipboard
open fun includeTags(includeTags: Array<String>): JUnitPlatformOptions
The set of tags to run with.